#include "mbed.h"
#include "Servo.h"
//#include "rtos.h"
//#include "PwmReader.h"
//#include "PwmIn.h"
#include "MainController.h"
Serial pc(USBTX, USBRX);
Timer t;

int main()
{
    t.start();

    MainController mainCtrl;

    mainCtrl.start();

    //printf("started\n");
    while(true) {
        pc.printf("control: %d, frq: %.3f, vol: %.2f, amp: %.3f, yaw: %.2f, dut: %.2f, pit: %.2f, adj: %.2f, tadd: %.2f, t: %.2f\n",
                  mainCtrl.getOpMode(), mainCtrl.getFrequency(), mainCtrl.getVolume(), mainCtrl.getAmplitude(), mainCtrl.getYaw(), mainCtrl.getDutyCycle(), mainCtrl.getPitch(), mainCtrl.getAdj(), mainCtrl.getTimeAdd(), t.read());

        wait_ms(100);
    }
    //t.stop();
    //mainCtrl.stop();
}
